<!DOCTYPE html>
<html lang="en">
{% load i18n %}
<head>

    <meta charset="UTF-8">
    <title>{%translate 'Prouct' %} {{prouct.pk}}</title>
</head>
<body>
<h1>{%translate 'Product' %} {{product.name}}</h1>
<div>
    {%if product.preview %}
    <h3>{%translate 'Preview' %}:</h3>
    <img src="{{product.preview.url}}" alt="{{product.preview.name}}" width="100" height="100">
    {%endif%}
    <h3>{%translate 'Images' %}.</h3>
    {%blocktranslate count count_img=product.images.all|length%}
    <p>Available one image</p>
    {%plural %}
    <p>Avalible {{count_img}} images.</p>
    {%endblocktranslate%}
    {% for image in product.images.all %}
    <div>
        <img src="{{image.image.url}}" alt="{{image.image.name}}" width="100" height="100">
        <p>{{image.description}}</p>
    </div>
    {%endfor%}

    <p>{% translate 'Description'%}: {{product.description}}</p>
    <p>{% translate 'Price'%}: {{product.price}}</p>
    <p>{% translate 'Discount'%}: {{product.discount}}</p>
    <p>{% translate 'Archived'%}: {{product.archivade}}</p>
    <p>{% translate 'Creater'%}: {{product.created_by.username}}</p>

</div>
<div>
    {%if user.is_superuser or perms.shopapp.change_product and user == product.created_by%}
<a href="{%url 'shopapp:products_update' pk=product.pk%}">{% translate 'Update' %}</a>
    {%endif%}
</div>
<a href="{%url 'shopapp:products_delete' pk=product.pk%}">{%translate 'Delete' %}</a>
</div>
<div>
<a href="{%url 'shopapp:products'%}">{%translate 'Back' %}</a>
</div>
</body>
</html>